#pragma once

#include <vector>
#include "HwmAgentCallback.h"

// demoConfListDlg 对话框

class demoConfListDlg : public CDialogEx
{
	DECLARE_DYNAMIC(demoConfListDlg)

public:
	demoConfListDlg(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~demoConfListDlg();

// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CONF_LIST_DIALOG };
#endif

    void updateData();

    afx_msg void OnBnEditConf();
    afx_msg void OnBnCancelConf();
    afx_msg void OnNMClick(NMHDR *pNMHDR, LRESULT *pResult);
    afx_msg LRESULT OnConfListUpdate(WPARAM wparam, LPARAM lparam);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()

    CListCtrl conflistCtrl;
    CEdit editConfEdit;
    CEdit cancelConfEdit;

private:

    std::vector<hwmsdkagent::HwmConfListInfo> confList;
    bool m_isCycleConf;

};
